C     initialize scalar variable stored in commons
      NG=0
      NELNUM=0
      NGEL=0
      NVARS=0
      NNZA=0
      NGPVLU=0
      NEPVLU=0
      NG1=0
      NEL1=0
      ISTADG=0
      ISTGP=0
      ISTADA=0
      ISTAEV=0
      ISTEP=0
      ITYPEG=0
      KNDOFC=0
      ITYPEE=0
      IELING=0
      IELVAR=0
      ICNA=0
      ISTADH=0
      INTVAR=0
      IVAR=0
      ICALCF=0
      ITYPEV=0
      IWRK=0
      A=0
      B=0
      U=0
      GPVALU=0
      EPVALU=0
      ESCALE=0
      GSCALE=0
      VSCALE=0
      GVALS=0
      XT=0
      DGRAD=0
      Q=0
      WRK=0
      INTREP=0
      GXEQX=0
      GNAMES=0
      VNAMES=0
      LO=0
      CH=0
      LIWORK=0
      LWORK=0
      NGNG=0
      FT=0
      ALTRIV = .FALSE.
      FIRSTG = .FALSE.
      LA=0
      LB=0
      NOBJGR=0
      LU=0
      LELVAR=0
      LSTAEV=0
      LSTADH=0
      LNTVAR=0
      LCALCF=0
      LELING=0
      LINTRE=0
      LFT=0
      LGXEQX=0
      LSTADG=0
      LGVALS=0
      LICNA=0
      LSTADA=0
      LKNDOF=0
      LGPVLU=0
      LEPVLU=0
      LGSCAL=0
      LESCAL=0
      LVSCAL=0
      LCALCG=0
      LFXI=0
      LGXI=0
      LHXI=0
      LGGFX=0
      LDX=0
      LGRJAC=0
      LQGRAD=0
      LBREAK=0
      LP=0
      LXCP=0
      LX0=0
      LGX0=0
      LDELTX=0
      LBND=0
      LWKSTR=0
      LSPTRS=0
      LSELTS=0
      LINDEX=0
      LSWKSP=0
      LSTAGV=0
      LSTAJC=0
      LIUSED=0
      LFREEC=0
      LNNONZ=0
      LNONZ2=0
      LSYMMD=0
      LSYMMH=0
      LSLGRP=0
      LSVGRP=0
      LGCOLJ=0
      LVALJR=0
      LSEND=0
      LNPTRS=0
      LNELTS=0
      LNNDEX=0
      LNWKSP=0
      LNSTGV=0
      LNSTJC=0
      LNIUSE=0
      LNFREC=0
      LNNNON=0
      LNNNO2=0
      LNSYMD=0
      LNSYMH=0
      LNLGRP=0
      LNVGRP=0
      LNGCLJ=0
      LNVLJR=0
      LNQGRD=0
      LNBRAK=0
      LNP=0
      LNBND=0
      LNFXI=0
      LNGXI=0
      LNGUVL=0
      LNHXI=0
      LNHUVL=0
      LNGGFX=0
      LNDX=0
      LNGRJC=0
      LIWK2=0
      LWK2=0
      MAXSIN=0
      NINVAR=0
      MAXSEL=0
      NTYPE=0
      NSETS=0
      LSTYPE=0
      LSSWTR=0
      LSSIWT=0
      LSIWTR=0
      LSWTRA=0
      LNTYPE=0
      LNSWTR=0
      LNSIWT=0
      LNIWTR=0
      LNWTRA=0
      LSISET=0
      LSSVSE=0
      LNISET=0
      LNSVSE=0
      NNOV=0
      NNJV =0
      NC2OF=0
      NC2OG=0
      NC2OH=0
      NC2CF=0
      NC2CG=0
      NC2CH=0
      NHVPR=0
      PNC=0
      SUTIME=0.0
      STTIME=0.0
      NUMVAR=0
      NUMCON=0

C     initialize arrays
      CALL ISET(LIWK,0,IWK,1)
      CALL DSET(LWK,0.0D0,WK,1)
      CALL ISET(LLOGIC,0,LOGI,1)
      CALL DSET(LFUVAL,0.0D0,FUVALS,1)
      do ic=1,LCHARA
         CHA(ic)='          '
      enddo
